aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-auto-conf.sh3
-rw-r--r--jjb/common/include-agl-bitbake-image.sh3
-rw-r--r--jjb/common/include-agl-bitbake-sdk.sh2
-rw-r--r--jjb/common/include-agl-cat-auto-conf.sh3
-rw-r--r--jjb/common/include-agl-limit-parallelism.sh3
5 files changed, 10 insertions, 4 deletions
diff --git a/jjb/common/include-agl-auto-conf.sh b/jjb/common/include-agl-auto-conf.sh
index 8b0d9df7..33a9d390 100644
--- a/jjb/common/include-agl-auto-conf.sh
+++ b/jjb/common/include-agl-auto-conf.sh
@@ -20,7 +20,6 @@ file://.* file:///opt/AGL/sstate-mirror/\${MACHINE}/PATH \n \
file://.* ${DLHOST}/sstate-mirror/\${MACHINE}/PATH \n \
"
+IMAGE_FSTYPES_remove = "ext3"
SSTATE_DIR = "\${TOPDIR}/sstate-cache/\${MACHINE}/"
EOF
-
-#cat conf/auto.conf
diff --git a/jjb/common/include-agl-bitbake-image.sh b/jjb/common/include-agl-bitbake-image.sh
index 2196d8a7..73607cb5 100644
--- a/jjb/common/include-agl-bitbake-image.sh
+++ b/jjb/common/include-agl-bitbake-image.sh
@@ -6,6 +6,7 @@
################################################################################
# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
-bitbake $TARGETIMAGE || bitbake $TARGETIMAGE
+( ( bitbake $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ...' ; exit 1 )
+
du -hs tmp/deploy/*
diff --git a/jjb/common/include-agl-bitbake-sdk.sh b/jjb/common/include-agl-bitbake-sdk.sh
index ee17ef08..b53a4125 100644
--- a/jjb/common/include-agl-bitbake-sdk.sh
+++ b/jjb/common/include-agl-bitbake-sdk.sh
@@ -6,6 +6,6 @@
################################################################################
# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
-bitbake -c $TARGETSDK $TARGETIMAGE || bitbake -c $TARGETSDK $TARGETIMAGE
+( ( bitbake -c $TARGETSDK $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake -c $TARGETSDK $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
du -hs tmp/deploy/*
diff --git a/jjb/common/include-agl-cat-auto-conf.sh b/jjb/common/include-agl-cat-auto-conf.sh
new file mode 100644
index 00000000..9a53f6d4
--- /dev/null
+++ b/jjb/common/include-agl-cat-auto-conf.sh
@@ -0,0 +1,3 @@
+echo "########## auto.conf ############"
+cat conf/auto.conf
+echo "########## auto.conf ############"
diff --git a/jjb/common/include-agl-limit-parallelism.sh b/jjb/common/include-agl-limit-parallelism.sh
new file mode 100644
index 00000000..67ae17df
--- /dev/null
+++ b/jjb/common/include-agl-limit-parallelism.sh
@@ -0,0 +1,3 @@
+BB_NUMBER_THREADS = "6"
+BB_NUMBER_PARSE_THREADS = "8"
+PARALLEL_MAKE = "-j6" \ No newline at end of file